<?php
define('NTLCMS', 1);
$module = 'moder';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
if ($active && $_USER['admin'] == '2'){
switch($act){
default:
echo '<div class="title"><b>'.razd.' Модерация сайтов</b></div>';
$k_post = DB :: run() -> querySingle("select count(`id`) from `sites` where `status` = ?", array(2));		
 $k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage; 
$sql = DB :: run() -> query("select * from `sites` where `status` = ? order by `id` asc limit ".$start.", ".$onpage, array(2));
if ($k_post == 0){
echo '<div class="error"><center><i class="fa fa-close fa-fw"></i> Сайтов на модерацию нет!</center></div>';
} else {
echo '<div class="menu">';
echo'<style>
TH {
background: #e3ecdf; /* Цвет фона ячеек */
color: black; /* Цвет текста */ 
}</style>	
<BODY><TABLE BORDER WIDTH=100%>
<TR>
<TH><center><b>Логин</b></center></TH>
<TH><center><b>Площадка</b></center></TH>
<TH><center><b>Тип ссылки</center></TH>
<TH><center><b>Действие</center></TH></TR>';
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo'<TR>
<TD ALIGN=CENTER>'.login($row -> login, 1).' </TD>
<TD ALIGN=CENTER><a href="http://'.str_ireplace('http://', '', $row -> url).'">'.checkout($row -> name).'</a></TD>
<TD ALIGN=CENTER>'.typelink($row -> type).'</TD>
<TD ALIGN=CENTER><a href="'.URL.'/_mmod_on'.((int) $row -> id).'"><span class="badge badge-success">OK</span></a> | <a href="'.URL.'/_mmod_off'.((int) $row -> id).'"><span class="badge badge-danger">BAN</span></a></TD></TR></BODY> ';
}
echo '<tr><TD colspan=7 ALIGN=CENTER>Всего сайтов: <b>'.$k_post.'</b></TD>';
echo '</table></div>';
if ($k_page > 1) navigation(URL.'/_mmodsites?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_moder">Модерка
</a></div>';
break;
case 'on':
$id = isset($_GET['id']) ? filter_var($_GET['id'], FILTER_SANITIZE_NUMBER_INT) : '0';
if (DB :: run() -> querySingle("select count(`id`) from `sites` where `status` = ? and `id` = ?", array('2', $id))){
DB :: run() -> query("update `sites` set `status` = ?, `active` = ? where `id` = ?", array('1', '1', $id));
$_SESSION['success'] = 'Сайт успешно промодерирован!';
header('Location: '.URL.'/_mmodsites');				
}
break;				
case 'off':
$id = isset($_GET['id']) ? filter_var($_GET['id'], FILTER_SANITIZE_NUMBER_INT) : '0';
if (isset($_POST['nazv'])){	
$nazv = isset($_POST['nazv']) ? filter_var($_POST['nazv'], FILTER_SANITIZE_STRING) : false;
	if (DB :: run() -> querySingle("select count(`id`) from `sites` where `status` = ? and `id` = ?", array('2', $id))){
DB :: run() -> query("update `sites` set `status` = ?, `active` = ?, `ban_prihin`=?  where `id` = ?", array('3', '0', $nazv ,$id));
$_SESSION['success'] = 'Сайт успешно заблокирован!';
header('Location: '.URL.'/_mmodsites');
}
}
echo '<div class="title"><b>'.razd.' Модер панель | Баним площадку</b></div>';
echo '<div class="menu"><form name="form" action="'.URL.'/_mmod_off'.(int)$id.'" method="post">
По причине:<br/><input type="text" name="nazv" maxlength="100" value=""/><br/><br/>
<input type="submit" class="btn btn-success btn-sm" value="Бан"/></form></div>';
}
} else {
echo '<div class="title"><b>'.razd.' Проверка прав доступа</b></div>';
echo '<div class="error"><center><i class="fa fa-close fa-fw"></i> Доступ запрещен!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> '.(isset($active) ? '<a href="'.URL.'/cabinet">В кабинет</a>' : '<a href="'.URL.'">На главную</a>').'</div>';
}
include ('../system/foot.php');
?>